name: Bug report
description: Report a problem or mistake
labels: ["Unconfirmed bug"]
body:
  - type: markdown
    attributes:
      value: |
        Please note the following:

        1. **Update Luanti to the latest stable or dev version** before submitting a bug report. Make sure the bug is still reproducible on the latest version.
        2. This page is for reporting the bugs of **the engine itself**. For bugs in a particular game, please [search for the game on ContentDB](https://content.luanti.org/packages/?type=game) and submit a bug report to its developers.
            * For example, issues about Minetest Game are submitted to [its own repository](https://github.com/luanti-org/minetest_game/issues).
        3. Please provide as many relevant details as possible.
        4. If you have used an LLM/AI to format your issue description, disclose this. Try to keep it concise. No walls of text please.

  - type: textarea
    attributes:
      label: Luanti version
      description: |
        Paste the Luanti version below.
        Refer to the "About" tab of the menu or run `luanti --version` on the command line.
      placeholder: |
        Example:
        Luanti 5.10.0-3ad6aee9b (Linux)
        Using LuaJIT 2.1.1727870382
        Built by GCC 14.2
        Running on Linux/6.11.5 x86_64
        BUILD_TYPE=Release
        RUN_IN_PLACE=1
        USE_CURL=1
        USE_GETTEXT=1
        USE_SOUND=1
        STATIC_SHAREDIR="."
        STATIC_LOCALEDIR="locale"
      render: "true"
    validations:
      required: true

  - type: input
    attributes:
      label: Operating system and version
      description: Keeping your OS up-to-date can solve some problems on its own.
      placeholder: "Example: Ubuntu 22.04"
    validations:
      required: true
  - type: input
    attributes:
      label: CPU model
      description: Usually found in OS/system settings
      placeholder: "Example: Intel Core i5-2410M"
    validations:
      required: false
  - type: markdown
    attributes:
      value: If the bug is server-side please skip the "GPU model" and "Active renderer" fields.
  - type: input
    attributes:
      label: GPU model
      description: Usually found in OS/system settings
      placeholder: "Example: NVIDIA GeForce GTX 1660"
    validations:
      required: false
  - type: input
    attributes:
      label: Active renderer
      description: You can find this in the "About" tab in the main menu.
      placeholder: "Example: ES 3.2 / ogles2 / X11"
    validations:
      required: false

  - type: textarea
    attributes:
      label: Summary
      description: |
        Describe your problem here.

        Make sure to include the all error messages you see and/or screenshots in case of visual bugs.
        Attaching a copy of your `debug.txt` and `minetest.conf` can be helpful as well.
    validations:
      required: true
  - type: textarea
    attributes:
      label: Steps to reproduce
      description: |
        Explain how the problem has happened.

        To the extent possible, the reproduction steps should describe not just what you did (e.g. "I open my world and it crashes")
        but be detailed enough so that anyone with a fresh installation of Luanti could follow these steps to encounter the same problem.
        In case of modding issues it is often useful to include a code snippet.
        This will help us diagnose the problem quicker and more efficiently. Thank you.
    validations:
      required: true
